/** An effect for non-animated meshes with
	normal-mapped diffuse and specular lighting + environment mapping. 
	Supports one light. 
	@author Jukka Jylnki */

// transformations
shared float4x4 mWorldViewProj : 	WORLDVIEWPROJ;

struct VS_INPUT
{
	float3 pos : POSITION0;
};

struct VS_OUTPUT
{
	float4 pos : POSITION0;

	float2 depth : TEXCOORD0;
};

VS_OUTPUT VSMain(VS_INPUT In)
{
	VS_OUTPUT Out = (VS_OUTPUT)0;
	
	// transform pos to proj space
	Out.pos = mul(float4(In.pos,1),mWorldViewProj);
	
	Out.depth.xy = Out.pos.zw;
	return Out;	
}	

const float rangeScale = 1.f;

float4 PSMain(VS_OUTPUT In) : COLOR
{
	return float4(0,0,0,0);//rangeScale * In.depth.x / In.depth.y; // z/w
}

technique DefaultTechnique
{
	pass P0
	{
		VertexShader = compile vs_2_0 VSMain();
		PixelShader  = compile ps_2_0 PSMain();
	}
}