// transformations
shared float4x4 mWorldViewProj : 	WORLDVIEWPROJ;

struct VS_INPUT
{
	float3 pos : POSITION0;
	float4 color : COLOR0;
};

struct VS_OUTPUT
{
	float4 pos : POSITION0;
	float4 color : COLOR0;
};

VS_OUTPUT VSMain(VS_INPUT In)
{
	VS_OUTPUT Out = (VS_OUTPUT)0;
	
	// transform pos to proj space
	Out.pos = mul(float4(In.pos,1),mWorldViewProj);
	Out.color = In.color;
	
	return Out;
}	

float4 PSMain(VS_OUTPUT In) : COLOR
{
	return float4(In.color.xyz, 1.f);
}

technique DefaultTechnique
{
    pass P0
    {
        ZEnable=false;
        
        VertexShader = compile vs_2_0 VSMain();
        PixelShader  = compile ps_2_0 PSMain();
    }  
}
